%define name		ksudoku
%define oname		KSudoku
%define version		0.3
%define rel		1
%define distsuffix	mdk
%define release		%mkrel_fixed %rel
%define mkrel_fixed(c:)	%{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(\\d+)$/;$rel=${1}-1;re;print "$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}

Summary:	KSudoku - Play, create and solve sokudu grids
Name:		%{name}
Version:	%{version}
Release:	%{release}
BuildRequires:	qt3-devel kdelibs-common
Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Group:		Games/Puzzles
License:	GPL
URL:		http://ksudoku.sourceforge.net/
BuildRoot:	%_tmppath/%{name}-build

%description
The word Sudoku means "single number in an alloted place" in Japanese. These 
are the basic rules. Every sudoku Sudoku is a square of 81 cells divided into 
9 columns and 9 rows and in 9 subsquares (3x3) of 9 cells each. Solving takes 
usually from 10 to 30 minutes, depending on puzzle level, your skill and 
experience.

Some cells are filled with a number at the beginnning: the remaining are to 
be filled by the player using numbers from 1 to 9, without repeating a number 
twice on each column, row or subsuquare (each of them must contain only 
one 1, one 2, one 3, and so on). The game requires logic and patience.
The numerals in Sudoku puzzles are used for convenience (for example in 16x16 
board we use letters): arithmetic relationships between numbers are irrelevant.

This program supports also 16x16 games with numbers from 1 to 16 and 256 
cells with 16 cols, rows and subsquares! (if normal sudoku are not enough for 
you).

More information at http://en.wikipedia.org/wiki/Sudoku

Note: 3d grids do not work well for me :(

%prep

%setup

%build
%configure --disable-rpath

%make

%install
%makeinstall

install -d $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="%{name}.png" \
                needs="X11" section="More Applications/Games/Puzzles" 
		title="%{oname}" \
		longtitle="%{Summary}"
EOF

install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -d $RPM_BUILD_ROOT/%{_iconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
install -m 644 $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/16x16/apps/%{name}.png \
	$RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m 644 $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/%{name}.png \
	$RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m 644 $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/128x128/apps/%{name}.png \
	$RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor

#find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files
#files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL README
%attr(0755,root,games) %{_bindir}/%{name}*
%{_datadir}/applnk/Games/%{name}.desktop
%{_datadir}/apps/%{name}/%{name}ui.rc
%{_datadir}/doc/HTML/en/%{name}
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Sat Oct 15 2005 Guillaume Bedot <littletux@mandriva.org> 0.3-1mdk
- First Mandriva package of ksudoku for contribs
